#!/bin/bash

# math-tarball.sh - make tarball of source and bin directories
# run from top level directory for a web page, e.g.
# /Volumes/All/Local/Web/math.columbia.edu/F20/LinearAlgebra

prefix='/Volumes/All/Local/Web/math.columbia.edu/'
bin='/Volumes/All/Local/Web/bin'
cmd=${0##*/}
page=$( pwd )

if [[ ! $page =~ ^$prefix ]]; then
  echo "$cmd: invalid current directory $page"
  exit
fi

if [ ! -d source ]; then
  echo "$cmd: source directory not found"
  exit
fi

if [ -d bin ]; then
  echo "$cmd: bin directory already exists"
  exit
fi

mkdir bin
cp "$bin/math-"* bin
tar -czf source.tar.gz source bin
rm -r bin
