![Poster](img/Det.jpg)

## MATH BC2006 <br /> Combinatorics <br /> Spring 2022

---

<http://www.math.columbia.edu/~bayer/S22/Combinatorics>

---

__Tuesdays and Thursdays, 10:10am - 11:25am__  
[LL104 Diana Center (Barnard)](https://barnard.edu/visit/campus-map)  

[Dave Bayer](http://www.math.columbia.edu/~bayer)  
[Email](http://www.math.columbia.edu/~bayer/Email)  
[Office Hours](http://www.math.columbia.edu/~bayer/OfficeHours)  

[Directory of Classes](http://www.columbia.edu/cu/bulletin/uwb/home.html) |
[Spring 2022 Mathematics](http://www.columbia.edu/cu/bulletin/uwb/subj/MATH/_Spring2022.html) |
[MATH BC2006](http://www.columbia.edu/cu/bulletin/uwb/subj/MATH/X2006-20221-001/)  
[CourseWorks](https://courseworks2.columbia.edu/courses/121690)  
[Student Services Online](https://ssol.columbia.edu/)

---

### Content

This is an introductory course in combinatorics, with a focus on counting problems. As there are many methods that have been developed in calculus and analysis for measuring continuous quantities, there are also many methods that have been developed in combinatorics for counting finite sets. We will survey these methods, with a focus on problem solving.

---

### Exams

Course grades will be determined by two exams and a final:

* __Exam 1__ (30 points, take-home), February 16-20
* __Exam 2__ (30 points, take-home), April 6-10
* __Final__ (30 points, take-home), May 3-13

Makeup exams will only be given under exceptional circumstances, such as a global pandemic.

---

### Textbooks

Our textbooks are available freely online to Columbia University affiliates, mostly through [SpringerLink](https://clio.columbia.edu/catalog/2402476).

These books overlap in content, with varying styles and levels. As we study each topic, please work with the book(s) that you prefer.

How to choose? This is personal. For me, books that are too low level think that talking too much makes math easier. That isn't my experience.

On the other hand, books that are too high level can be hard to read. The sweet spot for me is a book that is considered high level because of its depth, but is extraordinarily clear with no wasted words. Go in with purpose, knowing what you're looking for. This is why one learns faster in grad school than as an undergraduate; one reads with a shopping list. From this perspective, Aigner is a gem:

* [2007 Aigner - A Course in Enumeration](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-3-540-39035-0)

The following are good introductory expositions:

* [1983 Pólya, Tarjan, Woods - Notes on Elementary Combinatorics](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-0-8176-4953-1)
* [2001 Martin - Counting: The art of enumerative combinatorics](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-1-4757-4878-9)
* [2003 Lovasz, Pelikan, Vesztergombi - Discrete mathematics](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/b97469)
* [2011 Camina, Lewis - An introduction to enumeration](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-0-85729-600-9)
* [2015 Beeler - How to count](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-3-319-13844-2)
* [2015 Roman - An Introduction to Catalan Numbers](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-3-319-22144-1)
* [2015 Petersen - Eulerian numbers](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-1-4939-3091-3)
* [2016 Mariconda, Tonolo - Discrete calculus](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-3-319-03038-8)

The following are also of interest, but don't match our syllabus as closely:

* [1994 Wilf - generatingfunctionology](https://www-taylorfrancis-com.ezproxy.cul.columbia.edu/books/generatingfunctionology-herbert-wilf/10.1201/b10576)
* [2004 Andreescu, Feng - A path to combinatorics for undergraduates](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-0-8176-8154-8)
* [2010 Soifer - Geometric Etudes in Combinatorial Mathematics](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-0-387-75470-3)
* [2013 Soberon - Problem-Solving Methods in Combinatorics](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-3-0348-0597-1)
* [2013 de Longueville - A course in topological combinatorics](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-1-4419-7910-0)
* [2018 Aigner, Ziegler - Proofs from The Book](https://link-springer-com.ezproxy.cul.columbia.edu/book/10.1007/978-3-662-57265-8)

For the curious, here is the definitive graduate text on enumeration:

* [2011 Stanley - Enumerative Combinatorics Volume 1, second edition](http://www-math.mit.edu/~rstan/ec/ec1.pdf)

---

### The On-Line Encyclopedia of Integer Sequences

* [The On-Line Encyclopedia of Integer Sequences](http://oeis.org/)

This is a fantastic resource. Has anyone else seen before the sequence of integers
that you're studying? This is "Google" for counting problems.

---

### Previous semesters

A complete set of video lectures from Spring 2021 are available to students registered in this course:

* [Combinatorics - Dave Bayer - Spring 2021](https://columbia.hosted.panopto.com/Panopto/Pages/Sessions/List.aspx?folderID=b01ad3c9-11eb-48dc-a6e5-ac9f0134caa3)

One can find old exam solutions, and other useful resources, in my past course web pages:

* [Spring 2021 Combinatorics](http://www.math.columbia.edu/~bayer/S21/Combinatorics)
* [Spring 2016 Combinatorics](http://www.math.columbia.edu/~bayer/S16/Combinatorics)
* [Spring 2015 Combinatorics](http://www.math.columbia.edu/~bayer/S15/Combinatorics)
* [Spring 2014 Combinatorics](http://www.math.columbia.edu/~bayer/S14/Combinatorics)
* [Fall 2011 Combinatorics](http://www.math.columbia.edu/~bayer/F11/Combinatorics)
* [Fall 2000 Combinatorics](http://www.math.columbia.edu/~bayer/F00/combinatorics.html)

I have also lead undergraduate seminars on this topic, in several recent years:

* [Spring 2019 Seminar](https://www.math.columbia.edu/~bayer/S19/Seminar/Bayer/)
* [Spring 2018 Seminar](https://www.math.columbia.edu/~bayer/S18/Seminar/Bayer/)
* [Spring 2017 Seminar](https://www.math.columbia.edu/~bayer/S17/Seminar/Bayer/)

---

### Calendar

This [calendar](calendar.php) gives our schedule of classes and exams:

<-calendar->

<span style="font-size:xx-small;">
[source](source.php)
[links](links.php)
[validate](http://redbot.org/?uri=http%3A%2F%2Fwww.math.columbia.edu%2F~bayer%2FS16%2FCombinatorics%2F)
</span>
